###FIGURE 2 - appendix

library(ggplot2)

topic30_w=readRDS("***/data/topics.rds")

topic30_w$macroarea=NA
topic30_w$macroarea[topic30_w$topic==18 |topic30_w$topic==13| topic30_w$topic==27]="EU - EMU Integration Process"
topic30_w $macroarea[topic30_w $topic==19 | topic30_w $topic==9| topic30_w $topic==15]="Monetary Poilcy"
topic30_w $macroarea[topic30_w $topic==1]="Member Countries' Economic Policy"
topic30_w$macroarea[topic30_w$topic==17| topic30_w$topic==22 | topic30_w$topic==5]="Member Countries' Economic Policy"
topic30_w$macroarea[topic30_w$topic==5| topic30_w$topic==10 | topic30_w$topic==11 | topic30_w$topic==2| topic30_w$topic==4]="Member Countries' Economic Policy"
topic30_w$macroarea[topic30_w$topic==24 |topic30_w$topic==7 |topic30_w$topic==8]="Financial Market Regulation"
topic30_w$macroarea[topic30_w$topic==26| topic30_w$topic==23 | topic30_w$topic==30]="Financial Market Regulation"
topic30_w$macroarea[topic30_w$topic==16]="Professional Culture"
topic30_w$macroarea[topic30_w$topic==28 | topic30_w$topic==29| topic30_w$topic==25]="Professional Culture"
topic30_w$macroarea[topic30_w$topic==21| topic30_w$topic==20| topic30_w$topic==6| topic30_w$topic==2|  topic30_w$topic==12]="Language"
topic30_w$macroarea[topic30_w$topic==3| topic30_w$topic==14]="Liquidity Assistance"

topic30_w$macroarea=as.factor(topic30_w$macroarea)
topic30_w$macroarea <- ordered(topic30_w$macroarea, c("Member Countries' Economic Policy", "Financial Market Regulation", "Professional Culture", "Monetary Poilcy", "EU - EMU Integration Process", "Language", "Liquidity Assistance"))

topic30_w$category=""
topic30_w$category[topic30_w$topic==19]='MANDATE'
topic30_w$category[topic30_w$topic==5]='REGULATORY INTERVENTIONS'
topic30_w$category[topic30_w$topic==26]='MACROPRUDENTIAL REGULATION'
topic30_w$category[topic30_w$topic==16]='GLOBAL ECONOMY'
topic30_w$category[topic30_w$topic==3]='NON-STANDARD LIQUIDITY ASSISTANCE'
topic30_w$category[topic30_w$topic==30]='MACROPRUDENTIAL REGULATION'
topic30_w$category[topic30_w$topic==21]='LANGUAGE '
topic30_w$category[topic30_w$topic==9]='OPERATIONAL FRAMEWORK'
topic30_w$category[topic30_w$topic==24]='MICROPRUDENTIAL REGULATION'
topic30_w$category[topic30_w$topic==18]='INSTITUTIONAL FRAMEWORK'
topic30_w$category[topic30_w$topic==10]= 'ASSESSMENT MACROECONOMIC SITUATION'
topic30_w$category[topic30_w$topic==11]='ASSESSMENT MACROECONOMIC SITUATION'
topic30_w$category[topic30_w$topic==25]='ACADEMIC DEBATES'
topic30_w$category[topic30_w$topic==28]='ACADEMIC DEBATES'
topic30_w$category[topic30_w$topic==29]='ACADEMIC DEBATES'
topic30_w$category[topic30_w$topic==1]='STRUCTURAL REFORMS'
topic30_w$category[topic30_w$topic==17]='GOVERNMENTS FINANCES'
topic30_w$category[topic30_w$topic==13]='SINGLE CURRENCY INTRODUCTION'
topic30_w$category[topic30_w$topic==27]='SINGLE CURRENCY INTRODUCTION'
topic30_w$category[topic30_w$topic==20]='LANGUAGE '
topic30_w$category[topic30_w$topic==14]='STANDARD LIQUIDITY ASSISTANCE'
topic30_w$category[topic30_w$topic==4]='ASSESSMENT MACROECONOMIC SITUATION'
topic30_w$category[topic30_w$topic==6]='LANGUAGE  '
topic30_w$category[topic30_w$topic==15]='OPERATIONAL FRAMEWORK'
topic30_w$category[topic30_w$topic==2]='LANGUAGE'
topic30_w$category[topic30_w$topic==7]='MICROPRUDENTIAL REGULATION'
topic30_w$category[topic30_w$topic==8]='MICROPRUDENTIAL REGULATION'
topic30_w$category[topic30_w$topic==23]='MACROPRUDENTIAL REGULATION'
topic30_w$category[topic30_w$topic==12]='LANGUAGE '
topic30_w$category[topic30_w$topic==22]='GOVERNMENTS FINANCES'

topic30_w$topic_lab =""
topic30_w$topic_lab[topic30_w$topic==19]="Eurosystem mandate"
topic30_w$topic_lab[topic30_w$topic==5]="Housing Financing"
topic30_w$topic_lab[topic30_w$topic==26]="Macroprudential regulation"
topic30_w$topic_lab[topic30_w$topic==16]="Global economy"
topic30_w$topic_lab[topic30_w$topic==3]="Balance sheet and liquidity operations"
topic30_w$topic_lab[topic30_w$topic==30]="Financial market infrastructure"
topic30_w$topic_lab[topic30_w$topic==21]="Language  "
topic30_w$topic_lab[topic30_w$topic==9]="Inflation forecasts"
topic30_w$topic_lab[topic30_w$topic==24]="Bank supervision"
topic30_w$topic_lab[topic30_w$topic==18]="European integration institution-building "
topic30_w$topic_lab[topic30_w$topic==10]= "Growth outlook"
topic30_w$topic_lab[topic30_w$topic==11]="Growth outlook "
topic30_w$topic_lab[topic30_w$topic==25]="Decision making procedures"
topic30_w$topic_lab[topic30_w$topic==28]="Macroeconomic research"
topic30_w$topic_lab[topic30_w$topic==29]="Statistics"
topic30_w$topic_lab[topic30_w$topic==1]="Structural reforms"
topic30_w$topic_lab[topic30_w$topic==17]="Sovereign debt"
topic30_w$topic_lab[topic30_w$topic==13]="Euro adoption"
topic30_w$topic_lab[topic30_w$topic==27]="Exchange rate convergence"
topic30_w$topic_lab[topic30_w$topic==20]="Language    "
topic30_w$topic_lab[topic30_w$topic==14]="Liquidity issues and management"
topic30_w$topic_lab[topic30_w$topic==4]="Forecast"
topic30_w$topic_lab[topic30_w$topic==6]="Language"
topic30_w$topic_lab[topic30_w$topic==15]="Interest rate policy"
topic30_w$topic_lab[topic30_w$topic==2]="Language "
topic30_w$topic_lab[topic30_w$topic==7]="Bank capital requirements "
topic30_w$topic_lab[topic30_w$topic==8]="Bank capital requirements"
topic30_w$topic_lab[topic30_w$topic==23]="Systemic risks"
topic30_w$topic_lab[topic30_w$topic==12]="Language   "
topic30_w$topic_lab[topic30_w$topic==22]="Fiscal policy"

topic30_w $doc_n_prop= topic30_w $doc_n/topic30_w $all

macro1=topic30_w[which(topic30_w$macroarea=="Member Countries' Economic Policy"),]
macro2=topic30_w[which(topic30_w$macroarea=="Financial Market Regulation"),]
macro3=topic30_w[which(topic30_w$macroarea=="Professional Culture"),]
macro4=topic30_w[which(topic30_w$macroarea=="Monetary Poilcy"),]
macro5=topic30_w[which(topic30_w$macroarea=="EU - EMU Integration Process"),]
macro6=topic30_w[which(topic30_w$macroarea=="Textual Connectors"),]
macro7=topic30_w[which(topic30_w$macroarea=="Liquidity Assistance"),]

fig2=ggplot(topic30_w, aes(date, doc_n_prop))+
  geom_smooth()+
  facet_wrap(~ category)+
  theme_bw()+
  labs(main="", x="Year", y="Frequency of topics")+
  theme_update(plot.title = element_text(hjust =  0.5))+
  facet_wrap(category~ topic_lab, nrow=5)+
  theme(strip.text.x = element_text(size=7, face="italic"))


fig2