library("ldatuning")
library("ggplot2")

### FIGURE 1 - app

setwd("***/data")

result75=readRDS("./test_ntopic_results75.rds")
result70=readRDS("./test_ntopic_results70.rds")
result65=readRDS("./test_ntopic_results65.rds")
result60=readRDS("./test_ntopic_results60.rds")
result55=readRDS("./test_ntopic_results55.rds")
result50=readRDS("./test_ntopic_results50.rds")
result45=readRDS("./test_ntopic_results45.rds")
result40=readRDS("./test_ntopic_results40.rds")
result35=readRDS("./test_ntopic_results35.rds")
result30=readRDS("./test_ntopic_results30.rds")
result25=readRDS("./test_ntopic_results25.rds")
result20=readRDS("./test_ntopic_results20.rds")
result15=readRDS("./test_ntopic_results15.rds")
result10=readRDS("./test_ntopic_results10.rds")
result5=readRDS("./test_ntopic_results5.rds")
result=rbind(result5, result10, result15, result20, result25, result30, result35, result40, result45, result50, result55, result60, result65, result70, result75)

fig1=ggplot(result, aes(topics, Deveaud2014))+
  geom_point()+
  geom_smooth()+
  labs(x="Topics", y="Deveaud score")+
  theme_minimal()

fig1