use "***/data/IVs30_NOexclusion.dta", clear

tsset country year

xtpcse csim30_tr_diff gdp_evol Unemployement debt_gdp target RILE EU entryEU57 eurobar trustECB credit spread inflation_abs_perc, correlation(independent)
eststo m5c, title("all 1")

xtpcse csim30_tr_diff gdp_evol Unemployement debt_gdp target c.RILE##c.EU entryEU57 eurobar trustECB credit spread inflation_abs_perc, correlation(independent)
eststo m5cint, title("all 1int")


use "***/data/IVs30_Divis.dta", clear

tsset country year


xtpcse csim30_tr_diff gdp_evol Unemployement debt_gdp target RILE EU entryEU57 eurobar trustECB credit spread inflation_abs_perc, correlation(independent)
eststo m5b, title("divisive 1")

xtpcse csim30_tr_diff gdp_evol Unemployement debt_gdp target c.EU##c.RILE entryEU57 eurobar trustECB credit spread inflation_abs_perc, correlation(independent)
eststo m5bint, title("divisive 1int")


esttab m5c m5cint m5b m5bint using "***/results/tables_regression.html", star(+ 0.1 * 0.05 ** 0.01 *** 0.001) se compress replace b(3) mlabels(,titles) r2 label
